Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Missing dependencies for DEB Linux package and app launcher #1872

Closed
HenriqueAD7 opened this issue Aug 31, 2020 · 1 comment
Closed

Missing dependencies for DEB Linux package and app launcher #1872

HenriqueAD7 opened this issue Aug 31, 2020 · 1 comment
Milestone

Comments

@HenriqueAD7
Copy link

@HenriqueAD7 HenriqueAD7 commented Aug 31, 2020

There is no app launcher (shortcut icon) in the package.

In version 0.8.3 for Ubuntu 20.04 (I haven't checked the others), an OpenGL-related lib (libopengl0) is missing. Impossible to run the app.

I modified the mgba-qt.deb package by adding the missing dependency and the app launcher. It worked perfectly, but other users may have problems with it.

@endrift
Copy link
Member

@endrift endrift commented Sep 21, 2020

I should mention, the reason I haven't fixed this yet is because I haven't figured out if mGBA is supposed to depend on libOpenGL or if I'm doing the linking wrong with newer CMake. I'm not intentionally linking it; it's an artifact of GLVND support in modern CMake, but I haven't quite figured out what changes I need to make as a result yet.

@endrift endrift closed this in 6ca62fa Nov 24, 2020
endrift added a commit that referenced this issue Nov 24, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants